## vile 9.8l

=== plugins/Makefile ===
CC = gcc
CFLAGS = -O2 -pipe -Wall -DHAVE_CONFIG_H -I.. $(SH_CFLAGS)
LDFLAGS = -s $(SH_LDFLAGS)

SH_CFLAGS = -DPIC -fPIC
SH_LDFLAGS = -shared

PLUGINS = test
SHLIBS = $(PLUGINS:%=vile-%-plugin.so)

all : $(SHLIBS)

vile-%-plugin.so : %.o
	$(CC) $(LDFLAGS) -o $@ $<

## vile 9.6m-1

=== debian/changelog ===
vile (9.6m-1) unstable; urgency=low

  * New upstream release. 

 -- Paul van Tilburg <paulvt@debian.org>  Fri, 09 May 2008 08:07:12 +0200

vile (9.6-l1) unstable; urgency=low

  * New upstream release. 

 -- Paul van Tilburg <paulvt@debian.org>  Sun, 27 Apr 2008 14:04:05 +0200

vile (9.6-k1) unstable; urgency=low

  * New upstream release.
  * Added provides field for "editor" for vile and xvile (closes: #398755). 

 -- Paul van Tilburg <paulvt@debian.org>  Sat, 12 Apr 2008 10:04:55 +0200

vile (9.6-j1) unstable; urgency=low

  * New upstream release. 
  * Updates with respect to policy:
    - debian/rules: 
      * removed DH_COMPAT declaration, use debian/compat.
      * install the vile lintian override; man-page for vile
        is in vile-common, not vile, so lintian should ignore it.
    - debian/compat: addded, set to 5. 
    - debian/control: 
      * replaced ${Source-Version} by ${source:Version} to allow for
        binNMUs (closes: #435962).
      * bumped standards version to 3.7.3.
      * fixed versioned build-depend on libxaw7-dev.
      * modified build-depend on debhelper to >= 5.
    - debian/copyright: small textual fix.
    - debian/*.menu: fixed quotation and section names.

 -- Paul van Tilburg <paulvt@debian.org>  Wed, 26 Mar 2008 13:31:38 +0100

vile (9.6-i1) unstable; urgency=low

  * New upstream version, and a bunch of patches.
  * Add Paul van Tilburg as uploader.

 -- Brendan O'Dea <bod@debian.org>  Sun, 16 Mar 2008 22:52:08 +1100

vile (9.5-s1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Tue, 27 Nov 2007 10:21:43 +1100

vile (9.5-r1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Mon, 17 Sep 2007 12:12:33 +1000

vile (9.5-i1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Fri,  2 Jun 2006 08:58:36 +1000

vile (9.5-h1) unstable; urgency=low

  * New upstream patch version.
  * Interim fix from Tom for a case in bsizes() which subtracted
    line-ending from zero-sized buffer when nonewline mode was set. 
    Closes: #368007.

 -- Brendan O'Dea <bod@debian.org>  Thu, 25 May 2006 22:35:20 +1000

vile (9.5-g2) unstable; urgency=low

  * Move pixmaps from /usr/X11R6 to /usr/share .

 -- Brendan O'Dea <bod@debian.org>  Mon, 24 Apr 2006 06:06:15 +1000

vile (9.5-g1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Tue,  4 Apr 2006 23:54:22 +1000

vile (9.5-d1) unstable; urgency=low

  * New upstream patch version.
  * Update debhelper to v5.

 -- Brendan O'Dea <bod@debian.org>  Mon,  5 Dec 2005 00:02:15 +1100

vile (9.5-b1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Tue,  4 Oct 2005 22:20:32 +1000

vile (9.5-1) unstable; urgency=low

  * New upstream version.

 -- Brendan O'Dea <bod@debian.org>  Fri, 29 Jul 2005 13:07:44 +1000

vile (9.4-za1) unstable; urgency=low

  * New upstream patch version.
  * Remove emacs settings from changelog.
  * Move xshell.sh to /usr/share/vile (in arch all package -common).

 -- Brendan O'Dea <bod@debian.org>  Sat, 16 Jul 2005 12:56:43 +1000

vile (9.4-z1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Mon,  4 Jul 2005 00:50:04 +1000

vile (9.4-y1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Wed, 22 Jun 2005 00:21:53 +1000

vile (9.4-w1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Wed,  8 Jun 2005 21:48:37 +1000

vile (9.4-v1) unstable; urgency=low

  * New upstream patch version.
  * Cosmetic change to the "unpatch" target: drop "Prereq:" lines.

 -- Brendan O'Dea <bod@debian.org>  Fri,  3 Jun 2005 10:56:53 +1000

vile (9.4-t1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Sat, 21 May 2005 17:15:15 +1000

vile (9.4-s1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Wed, 30 Mar 2005 16:02:08 +1000

vile (9.4-r1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Tue, 15 Mar 2005 00:28:38 +1100

vile (9.4-q1) unstable; urgency=low

  * New upstream patch version.  Fixes two issues related to rbmode
    (closes: #292652).

  * Update xvile app-defaults:
    + copy colours from example XVile.ad,
    + set focusFollowsMouse and forkOnStartup options, and
    + set cursor colour so it is visible over highlighted text
      (closes: #235182).

 -- Brendan O'Dea <bod@debian.org>  Mon, 14 Feb 2005 13:27:24 +1100

vile (9.4-p1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Sat, 12 Feb 2005 07:48:10 +1100

vile (9.4-o1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Wed, 26 Jan 2005 07:59:45 +1100

vile (9.4-k1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Mon,  8 Nov 2004 23:18:25 +1100

vile (9.4-j1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Wed,  3 Nov 2004 02:03:02 +1100

vile (9.4-h1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Thu,  1 Jul 2004 22:18:46 +1000

vile (9.4-f1) unstable; urgency=low

  * New upstream patch version.
  * Change build dependency from xlibs-dev to libxaw7-dev.

 -- Brendan O'Dea <bod@debian.org>  Sun, 18 Apr 2004 14:20:14 +1000

vile (9.4-d1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Sun, 15 Feb 2004 17:40:25 +1100

vile (9.4-c2) unstable; urgency=low

  * Invert flex-old/flex build-depends.

 -- Brendan O'Dea <bod@debian.org>  Sat,  8 Nov 2003 00:53:58 +1100

vile (9.4-c1) unstable; urgency=low

  * New upstream patch version.
  * Build filters as shared objects rather than executables.


=== debian/control ===
Source: vile
Section: editors
Priority: optional
Maintainer: Brendan O'Dea <bod@debian.org>
Uploaders: Paul van Tilburg <paulvt@debian.org>
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5), flex-old | flex (<< 2.5.5), libncurses5-dev, libperl-dev (>= 5.8.1-3), libxaw7-dev (>= 4.3.0)

Package: vile-common
Architecture: all
Depends: libio-pty-perl
Recommends: vile | xvile
Suggests: vile-filters
Replaces: vile (<< 9.2g-1)
Description: VI Like Emacs - support files for vile/xvile
 Shared files for the vile and xvile editors.

Package: vile
Architecture: any
Depends: vile-common (= ${source:Version}), ${shlibs:Depends}
Provides: editor
Description: VI Like Emacs - vi work-alike
 vile is a text editor which is extremely compatible with vi in terms of
 ``finger feel''.  In addition, it has extended capabilities in many areas,
 notably multi-file editing and viewing, syntax highlighting, key rebinding,
 an optional embedded perl interpreter, and real X window system support.
 .
 This package contains the character-mode binary.  Required support files
 are contained in vile-common.  Source code highlighting filters are in
 vile-filters.  An X11 binary is in the xvile package.

Package: vile-filters
Architecture: any
Depends: vile-common (= ${source:Version}), ${shlibs:Depends}
Description: VI Like Emacs - highlighting filters for vile/xvile
 Text highlighting filters for various languages and file formats for
 the vile and xvile editors.

Package: xvile
Architecture: any
Depends: vile-common (= ${source:Version}), ${shlibs:Depends}
Provides: editor
Conflicts: xvile-xt, xvile-xaw, xvile-xm
Replaces: xvile-xt, xvile-xaw, xvile-xm
Description: VI Like Emacs - vi work-alike (X11)
 vile is a text editor which is extremely compatible with vi in terms of
 ``finger feel''.  In addition, it has extended capabilities in many areas,
 notably multi-file editing and viewing, syntax highlighting, key rebinding,
 an optional embedded perl interpreter, and real X window system support.
 .
 This package contains the X11 binary.  Required support files are
 contained in vile-common.  Source code highlighting filters are in
 vile-filters.  A character-mode binary is in the vile package.

=== debian/rules ===
#!/usr/bin/make -f

#
# debian/rules for vile/xvile
#

# packages
PACKAGES.indep = vile-common
PACKAGES.arch  = vile vile-filters xvile

configure = ../../configure --prefix=/usr --mandir='$${prefix}/share/man' \
    --with-locale --with-perl --with-cflags=-O2 --with-loadable-filters=all

patches = patches-applied

# install path for upstream make
TMP = $(CURDIR)/debian/tmp

# use debhelper v5
#export DH_COMPAT = 5

# add -g if DEB_BUILD_OPTIONS contains the string "debug" (policy 11.1)
ifeq ($(findstring debug,$(DEB_BUILD_OPTIONS)),)
    debug =
else
    debug = -g
endif

.PHONY: all config build install binary clean config-indep config-arch \
    build-indep build-arch install-indep install-arch binary-indep \
    binary-arch

all: build

config: config-indep config-arch
build: build-indep build-arch
install: install-indep install-arch
binary: binary-indep binary-arch
clean:
	dh_testdir
	dh_testroot
	test -f $(patches) # maintainer sanity check
	rm -f stamp-*
	rm -rf t
	dh_clean

config-indep: $(PACKAGES.indep:%=stamp-config.%)
config-arch: $(PACKAGES.arch:%=stamp-config.%)

build-indep: $(PACKAGES.indep:%=stamp-build.%)
build-arch: $(PACKAGES.arch:%=stamp-build.%)

install-indep: $(PACKAGES.indep:%=stamp-install.%)
install-arch: $(PACKAGES.arch:%=stamp-install.%)

binary-indep: install-indep
ifneq ($(PACKAGES.indep),)
	rm -f $(PACKAGES.indep:%=stamp-install.%)
	dh_testdir
	dh_testroot
	dh_installdocs       $(PACKAGES.indep:%=-p%)
	dh_installman        $(PACKAGES.indep:%=-p%)
	dh_installexamples   $(PACKAGES.indep:%=-p%)
	dh_installchangelogs $(PACKAGES.indep:%=-p%) -k CHANGES
	dh_compress          $(PACKAGES.indep:%=-p%)
	dh_fixperms          $(PACKAGES.indep:%=-p%)
	dh_installdeb        $(PACKAGES.indep:%=-p%)
	dh_gencontrol        $(PACKAGES.indep:%=-p%)
	dh_md5sums           $(PACKAGES.indep:%=-p%)
	dh_builddeb          $(PACKAGES.indep:%=-p%)
endif

binary-arch: install-arch
ifneq ($(PACKAGES.arch),)
	rm -f $(PACKAGES.arch:%=stamp-install.%)
	dh_testdir
	dh_testroot
	dh_link              $(PACKAGES.arch:%=-p%)
	dh_installdocs       $(PACKAGES.arch:%=-p%)
	dh_installmenu       $(PACKAGES.arch:%=-p%)
	dh_strip             $(PACKAGES.arch:%=-p%)
	dh_compress          $(PACKAGES.arch:%=-p%)
	dh_fixperms          $(PACKAGES.arch:%=-p%)
	dh_installdeb        $(PACKAGES.arch:%=-p%)
	dh_shlibdeps         $(PACKAGES.arch:%=-p%)
	dh_gencontrol        $(PACKAGES.arch:%=-p%)
	dh_md5sums           $(PACKAGES.arch:%=-p%)
	dh_builddeb          $(PACKAGES.arch:%=-p%)
endif

# these all have to be configured, made and built together
stamp-%.vile-common stamp-%.vile-filters: stamp-%.vile
	touch $@

stamp-config.vile:
	dh_testdir
	rm -rf t/vile
	mkdir -p t/vile
	cd t/vile; $(configure)
	touch $@

stamp-config.xvile:
	dh_testdir
	rm -rf t/xvile
	mkdir -p t/xvile
	cd t/xvile; $(configure) --with-xpm --with-screen=Xaw
	touch $@

stamp-build.vile: stamp-config.vile
	dh_testdir
	# build in three steps so that filters aren't linked to
	# un-needed perl libs
	$(MAKE) -C t/vile vile                  EXTRA_CFLAGS="$(debug)"
	$(MAKE) -C t/vile/filters         LIBS= EXTRA_CFLAGS="$(debug)"
	$(MAKE) -C t/vile all vile-perl-api.doc EXTRA_CFLAGS="$(debug)"
	touch $@

stamp-build.xvile: stamp-config.xvile
	dh_testdir
	$(MAKE) -C t/xvile xvile EXTRA_CFLAGS="$(debug)"
	touch $@

stamp-install.vile: stamp-build.vile
	dh_testdir
	dh_testroot
	dh_clean -k -pvile -pvile-filters -pvile-common

	$(MAKE) -C t/vile DESTDIR=$(TMP) install
	$(MAKE) -C t/vile DESTDIR=$(TMP) bindir='$${datadir}' \
	    $(TMP)/usr/share/vile/vilemenu.rc \
	    $(TMP)/usr/share/vile/xshell.sh

	rm -f $(TMP)/usr/bin/vile-pager # examples
	rm -f $(TMP)/usr/share/man/man1/vile.1 # docs
	pod2man $(TMP)/usr/bin/vileget > \
	    $(TMP)/usr/share/man/man1/vileget.1
	mkdir -p $(TMP)/usr/share/lintian/overrides
	cp $(CURDIR)/debian/overrides/vile $(TMP)/usr/share/lintian/overrides

	dh_movefiles -pvile -pvile-filters -pvile-common

	# ensure that all file have been moved from debian/tmp
	test `find $(TMP) ! -type d | wc -l` -eq 0

	touch $@

stamp-install.xvile: stamp-build.xvile
	dh_testdir
	dh_testroot
	dh_clean -k -pxvile

	install -d $(TMP)/usr/bin $(TMP)/etc/X11/app-defaults \
	    $(TMP)/usr/share/pixmaps

	$(MAKE) -C t/xvile DESTDIR=$(TMP) $(TMP)/usr/bin/xvile
	install -c -m 644 debian/XVile $(TMP)/etc/X11/app-defaults
	install -c -m 644 debian/*.xpm $(TMP)/usr/share/pixmaps

	dh_movefiles -pxvile
	touch $@

# maintainer targets
patch:
	test ! -f $(patches) # already patched
	ls debian/patches/* >$(patches)
	cat `cat $(patches)` | patch -p1 --no-backup-if-mismatch

unpatch:
	test -f $(patches) # not patched
	cat `tac $(patches)` | grep -v '^Prereq:' | patch -Rfp1 --no-backup-if-mismatch
	-$(RM) $(patches)

## vile 9.8f-2

=== debian/changelog ===
vile (9.8f-2) unstable; urgency=low

  * Apply 9.8f2 patch from Tom to fix a regression with nohl when no
    majormode is in effect.

 -- Brendan O'Dea <bod@debian.org>  Thu, 29 Dec 2011 13:48:33 +1100

vile (9.8f-1) unstable; urgency=low

  * Revert changes to configure.
  * Switched maintainer/uploader roles back again.
  * New upstream release.
  * Revise DEFAULT_XSHELL handling again.

 -- Brendan O'Dea <bod@debian.org>  Mon, 28 Nov 2011 22:00:14 +1100

vile (9.8e-3) unstable; urgency=low

  * Revise setting of DEFAULT_XSHELL, passing to the build step for xvile
    rather than through configure flags.

 -- Brendan O'Dea <bod@debian.org>  Sun, 21 Aug 2011 09:00:12 +1000

vile (9.8e-2) unstable; urgency=low

  * Dump config.log when configure is killed in an attempt to divine why
    s390/armel builds are failing.

 -- Brendan O'Dea <bod@debian.org>  Sat, 20 Aug 2011 20:10:46 +1000

vile (9.8e-1) unstable; urgency=low

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Mon, 11 Apr 2011 21:27:35 +1000

vile (9.8d-1) unstable; urgency=low

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Wed, 29 Dec 2010 13:11:55 +1100

vile (9.8c-1) unstable; urgency=low

  * New upstream release.
  * Remove deprecated DH_COMPAT in debian/rules, adding debian/compat.
  * Move to standards version 3.9.1.

 -- Brendan O'Dea <bod@debian.org>  Tue, 28 Dec 2010 11:18:12 +1100

vile (9.8b-2) unstable; urgency=low

  * Remove debian/compat in favour of exported DH_COMPAT in debian/rules.

 -- Brendan O'Dea <bod@debian.org>  Mon, 27 Sep 2010 22:35:40 +1000

vile (9.8b-1) unstable; urgency=low

  * New upstream release.
  * Revise the way in which debian/rules builds vile-filters, as now that
    plink.sh is used is it no longer necessary to build the filters in a
    separate step.
  * Require debhelper 8, and rename stamp.* files to *-stamp (which dh_clean
    removes automatically since v7).

 -- Brendan O'Dea <bod@debian.org>  Mon, 27 Sep 2010 13:09:01 +1000

vile (9.8-1) unstable; urgency=low

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Thu, 12 Aug 2010 05:52:24 +1000

vile (9.7ze-1) unstable; urgency=low

  * New upstream release.
  * Move to standards version 3.9.0.
  * Add ${misc:Depends} to packages (lintian).
  * Explicitly select .desktop files for install (not installing lxvile at this
    time).

 -- Brendan O'Dea <bod@debian.org>  Mon, 05 Jul 2010 21:09:45 +1000

vile (9.7zd-1) unstable; urgency=low

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Mon, 31 May 2010 22:41:04 +1000

vile (9.7zc-1) unstable; urgency=low

  * New upstream release.
  * configure.in: wrap CF_RPATH_HACK with an option to allow this behaviour to
    be suppressed.

 -- Brendan O'Dea <bod@debian.org>  Sun, 11 Apr 2010 19:51:46 +1000

vile (9.7za-1) unstable; urgency=low

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Fri, 29 Jan 2010 20:48:59 +1100

vile (9.7z-1) unstable; urgency=low

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Fri, 08 Jan 2010 21:57:10 +1100

vile (9.7y-1) unstable; urgency=low

  * New upstream release.
  * Include html docs.

 -- Brendan O'Dea <bod@debian.org>  Tue, 29 Dec 2009 18:37:25 +1100

vile (9.7x-2) unstable; urgency=low

  * xvile replaces vile-common after moving xvile.sh.
  * remove ancient conflcts on xvile-{xt,xaw,xm}.
  * install view alternative (closes: #399321).

 -- Brendan O'Dea <bod@debian.org>  Wed, 25 Nov 2009 00:00:25 +1100

vile (9.7x-1) unstable; urgency=low

  * New upstream release.
  * Use upstream app-defaults file.
  * Install .desktop files.
  * Install uxvile.
  * Move xshell.sh and vilemenu.rc to xvile package.
  * Fix desktop category.
  * Add description of uxvile to vile.1.

 -- Brendan O'Dea <bod@debian.org>  Thu, 19 Nov 2009 17:46:51 +1100

vile (9.7v-1) unstable; urgency=low

  * New upstream release. 

 -- Paul van Tilburg <paulvt@debian.org>  Tue, 13 Oct 2009 14:20:36 +0200

vile (9.7u-1) unstable; urgency=low

  * New upstream release. 
  * Bumped standards version to 3.8.3; no changes required. 

 -- Paul van Tilburg <paulvt@debian.org>  Tue, 25 Aug 2009 11:07:24 +0200

vile (9.7t-2) unstable; urgency=low

  * There are after all still some issues with flex.  Reverting to
    flex-old again.

 -- Brendan O'Dea <bod@debian.org>  Thu, 16 Jul 2009 19:58:59 +1000

vile (9.7t-1) unstable; urgency=low

  * New upstream release.
  * flex now appears to work: remove flex-old from Build-Depends.

 -- Brendan O'Dea <bod@debian.org>  Sun, 05 Jul 2009 18:36:15 +1000

vile (9.7s-1) unstable; urgency=low

  * New upstream release.
  * Set DEFAULT_XSHELL to use x-terminal-emulator via debian/rules.
  * Remove debian/patches/z50_debian_use_x-terminal-emulator.

 -- Brendan O'Dea <bod@debian.org>  Tue, 09 Jun 2009 00:44:21 +1000

vile (9.7r2-1) unstable; urgency=low

  * New patch release, resolves issues with file permissions of 
    ~/.vilerc. 

 -- Paul van Tilburg <paulvt@debian.org>  Thu, 28 May 2009 13:44:53 +0200

vile (9.7r-1) unstable; urgency=low

  * New upstream release. 

 -- Paul van Tilburg <paulvt@debian.org>  Tue, 26 May 2009 11:58:00 +0200

vile (9.7o-1) unstable; urgency=low

  * New upstream release. 

 -- Paul van Tilburg <paulvt@debian.org>  Mon, 27 Apr 2009 13:42:53 +0200

vile (9.7m-1) unstable; urgency=low

  * New upstream release. 
  * Switched maintainer and uploader roles between me and Brendan O'Dea.
  * Bumped standards version to 3.8.1; no changes required.

 -- Paul van Tilburg <paulvt@debian.org>  Mon, 23 Mar 2009 13:00:32 +0100

vile (9.7l-1) unstable; urgency=low

  * New upstream release. 

 -- Paul van Tilburg <paulvt@debian.org>  Sat, 28 Feb 2009 23:54:46 +0100

vile (9.7k-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: be more specific about the GPL license version.

 -- Paul van Tilburg <paulvt@debian.org>  Tue, 24 Feb 2009 11:01:26 +0100

vile (9.7j-1) unstable; urgency=low

  * New upstream release. 


=== package/debian/changelog ===
vile (9.8f) unstable; urgency=low

  * build-fix for winvile with ole.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 11 Apr 2011 18:24:05 -0400

vile (9.8e) unstable; urgency=low

  * build-fix for xvile with cygwin.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Wed, 29 Dec 2010 13:57:20 -0500

vile (9.8d) unstable; urgency=low

  * merge changes from Debian package scripts for 9.8c.
  * extend built-in locale support.
  * add $kbd-encoding variable.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 12 Dec 2010 16:43:25 -0500

vile (9.8c) unstable; urgency=low

  * add built-in character encoding tables.
  * code-cleanup

 -- Thomas E. Dickey <dickey@invisible-island.net>  Wed, 10 Nov 2010 05:58:29 -0500

vile (9.8b) unstable; urgency=low

  * build-fix for Ubuntu dpkg.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Thu, 09 Sep 2010 18:07:26 -0400

vile (9.8a) unstable; urgency=low

  * build-fixes for very-old platforms, e.g., OS/2.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Thu, 12 Aug 2010 17:04:05 -0400

vile (9.8) unstable; urgency=low

  * major release

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 08 Aug 2010 13:59:07 -0400

vile (9.7zg) unstable; urgency=low

  * fixes for map command

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 25 Jul 2010 06:30:51 -0400

vile (9.7zf) unstable; urgency=low

  * add Debian scripts to upstream source, for test-builds.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Tue, 13 Jul 2010 07:53:15 -0400

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Brendan O'Dea <bod@debian.org>
 Uploaders: Paul van Tilburg <paulvt@debian.org>
-Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 5), flex-old | flex (<< 2.5.5), libncurses5-dev, libperl-dev (>= 5.8.1-3), libxaw7-dev (>= 4.3.0)
+Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8), flex-old | flex (<< 2.5.5), libncurses5-dev, libperl-dev (>= 5.8.1-3), libxaw7-dev (>= 4.3.0)
+Vcs-Git: git://git.debian.org/collab-maint/vile.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/vile.git
 
 Package: vile-common
 Architecture: all
-Depends: libio-pty-perl
+Depends: libio-pty-perl, ${misc:Depends}
 Recommends: vile | xvile
 Suggests: vile-filters
 Replaces: vile (<< 9.2g-1)
@@ -17,7 +19,7 @@
 
 Package: vile
 Architecture: any
-Depends: vile-common (= ${source:Version}), ${shlibs:Depends}
+Depends: vile-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Provides: editor
 Description: VI Like Emacs - vi work-alike
  vile is a text editor which is extremely compatible with vi in terms of
@@ -31,17 +33,16 @@
 
 Package: vile-filters
 Architecture: any
-Depends: vile-common (= ${source:Version}), ${shlibs:Depends}
+Depends: vile-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: VI Like Emacs - highlighting filters for vile/xvile
  Text highlighting filters for various languages and file formats for
  the vile and xvile editors.
 
 Package: xvile
 Architecture: any
-Depends: vile-common (= ${source:Version}), ${shlibs:Depends}
+Depends: vile-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Provides: editor
-Conflicts: xvile-xt, xvile-xaw, xvile-xm
-Replaces: xvile-xt, xvile-xaw, xvile-xm
+Replaces: vile-common (<< 9.7x-1)
 Description: VI Like Emacs - vi work-alike (X11)
  vile is a text editor which is extremely compatible with vi in terms of
  ``finger feel''.  In addition, it has extended capabilities in many areas,

=== debian/rules ===
#!/usr/bin/make -f

#
# debian/rules for vile/xvile
#

# packages
PACKAGES.indep = vile-common
PACKAGES.arch  = vile vile-filters xvile

configure = ../../configure \
    --prefix=/usr \
    --mandir='$$(prefix)/share/man' \
    --with-app-defaults=/etc/X11/app-defaults \
    --with-locale \
    --with-loadable-filters=all \
    --disable-rpath-hack \
    --with-cflags=-O2

# install path for upstream make
TMP = $(CURDIR)/debian/tmp

# add -g if DEB_BUILD_OPTIONS contains the string "debug" (policy 11.1)
ifeq ($(findstring debug,$(DEB_BUILD_OPTIONS)),)
    debug =
else
    debug = -g
endif

xshell = x-terminal-emulator -e /usr/share/vile/xshell.sh

.PHONY: all config build install binary clean config-indep config-arch \
    build-indep build-arch install-indep install-arch binary-indep \
    binary-arch

all: build

config: config-indep config-arch
build: build-indep build-arch
install: install-indep install-arch
binary: binary-indep binary-arch
clean:
	dh_testdir
	dh_testroot
	dh_clean
	rm -rf t

config-indep: $(PACKAGES.indep:%=config-%-stamp)
config-arch: $(PACKAGES.arch:%=config-%-stamp)

build-indep: $(PACKAGES.indep:%=build-%-stamp)
build-arch: $(PACKAGES.arch:%=build-%-stamp)

install-indep: $(PACKAGES.indep:%=install-%-stamp)
install-arch: $(PACKAGES.arch:%=install-%-stamp)

binary-indep: install-indep
ifneq ($(PACKAGES.indep),)
	rm -f $(PACKAGES.indep:%=install-%-stamp)
	dh_testdir
	dh_testroot
	dh_installdocs       $(PACKAGES.indep:%=-p%)
	dh_installman        $(PACKAGES.indep:%=-p%)
	dh_installexamples   $(PACKAGES.indep:%=-p%)
	dh_installchangelogs $(PACKAGES.indep:%=-p%) -k CHANGES
	dh_compress          $(PACKAGES.indep:%=-p%)
	dh_fixperms          $(PACKAGES.indep:%=-p%)
	dh_installdeb        $(PACKAGES.indep:%=-p%)
	dh_gencontrol        $(PACKAGES.indep:%=-p%)
	dh_md5sums           $(PACKAGES.indep:%=-p%)
	dh_builddeb          $(PACKAGES.indep:%=-p%)
endif

binary-arch: install-arch
ifneq ($(PACKAGES.arch),)
	rm -f $(PACKAGES.arch:%=install-%-stamp)
	dh_testdir
	dh_testroot
	dh_link              $(PACKAGES.arch:%=-p%)
	dh_installdocs       $(PACKAGES.arch:%=-p%)
	dh_installmenu       $(PACKAGES.arch:%=-p%)
	dh_strip             $(PACKAGES.arch:%=-p%)
	dh_compress          $(PACKAGES.arch:%=-p%)
	dh_fixperms          $(PACKAGES.arch:%=-p%)
	dh_installdeb        $(PACKAGES.arch:%=-p%)
	dh_shlibdeps         $(PACKAGES.arch:%=-p%)
	dh_gencontrol        $(PACKAGES.arch:%=-p%)
	dh_md5sums           $(PACKAGES.arch:%=-p%)
	dh_builddeb          $(PACKAGES.arch:%=-p%)
endif

config-vile-stamp:
	dh_testdir
	rm -rf t/vile
	mkdir -p t/vile
	cd t/vile; $(configure) --with-perl
	touch $@

%-vile-common-stamp %-vile-filters-stamp: %-vile-stamp
	touch $@

config-xvile-stamp:
	dh_testdir
	rm -rf t/xvile
	mkdir -p t/xvile
	cd t/xvile; $(configure) --with-perl --with-xpm --with-screen=Xaw
	echo '#define DEFAULT_XSHELL "$(xshell)"' >> t/xvile/config.h
	touch $@

build-vile-stamp: config-vile-stamp
	dh_testdir
	$(MAKE) -C t/vile all vile-perl-api.doc EXTRA_CFLAGS="$(debug)"
	touch $@

build-xvile-stamp: config-xvile-stamp
	dh_testdir
	$(MAKE) -C t/xvile xvile EXTRA_CFLAGS="$(debug)"
	touch $@

install-vile-stamp: build-vile-stamp
	dh_testdir
	dh_testroot
	dh_prep -pvile-filters -pvile-common -pvile

	$(MAKE) -C t/vile DESTDIR=$(TMP) install
	rm -f $(TMP)/usr/bin/vile-pager  # examples
	rm -f $(TMP)/usr/share/man/man1/vile.1  # docs
	pod2man $(TMP)/usr/bin/vileget > \
	    $(TMP)/usr/share/man/man1/vileget.1

	install -d $(TMP)/usr/share/lintian/overrides
	install -c -m 644 debian/overrides/vile \
	    $(TMP)/usr/share/lintian/overrides

	dh_movefiles -pvile-filters -pvile-common -pvile
	touch $@

install-xvile-stamp: build-xvile-stamp
	dh_testdir
	dh_testroot
	dh_prep -pxvile

	install -d $(TMP)/usr/bin $(TMP)/etc/X11/app-defaults \
            $(TMP)/usr/share/applications $(TMP)/usr/share/pixmaps \
	    $(TMP)/usr/share/vile

	install -c t/xvile/xvile $(TMP)/usr/bin/xvile
	install -c macros/uxvile $(TMP)/usr/bin/uxvile
	install -c -m 644 macros/xvile.desktop macros/uxvile.desktop \
	    $(TMP)/usr/share/applications

	install -c -m 644 debian/*.xpm $(TMP)/usr/share/pixmaps

	$(MAKE) -C t/xvile DESTDIR=$(TMP) install-app install-icon
	$(MAKE) -C t/xvile DESTDIR=$(TMP) bindir='$$(datadir)' \
	    $(TMP)/usr/share/vile/vilemenu.rc \
	    $(TMP)/usr/share/vile/xshell.sh

	dh_movefiles -pxvile
	touch $@

## vile 9.8g-2

=== debian/changelog ===
vile (9.8g-2) unstable; urgency=low

  * Recommend xfonts-75dpi and xfonts-100dpi for xvile, which specifies
    fonts from both in XVile.ad and vilemenu.rc (thanks to Jonathan
    Nieder, closes: #563250).

 -- Brendan O'Dea <bod@debian.org>  Sun, 03 Jun 2012 11:02:54 +1000

vile (9.8g-1) unstable; urgency=low

  * New upstream release.
  * Use dpkg-buildflags to pass compiler/linker flags to configure.  Add
    build-depends on dpkg-dev.

 -- Brendan O'Dea <bod@debian.org>  Mon, 12 Mar 2012 04:57:40 +1100

=== package/debian/changelog ===
vile (9.8g) unstable; urgency=low

  * miscellaneous fixes.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 11 Dec 2011 09:37:35 -0500

=== package/debian/control ===
Source: vile
Section: editors
Priority: optional
Maintainer: Paul van Tilburg <paulvt@debian.org>
Uploaders: Brendan O'Dea <bod@debian.org>
Standards-Version: 3.9.0
Build-Depends: debhelper (>= 5), flex-old | flex (<< 2.5.5), libncurses5-dev, libperl-dev (>= 5.8.1-3), libxaw7-dev (>= 4.3.0), libperl-dev (>= 5.0)
Vcs-Git: git://git.debian.org/collab-maint/vile.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/vile.git

Package: vile-common
Architecture: all
Depends: libio-pty-perl, ${misc:Depends}
Recommends: vile | xvile
Suggests: vile-filters
Replaces: vile (<< 9.2g-1)
Description: VI Like Emacs - support files for vile/xvile
 Shared files for the vile and xvile editors.

Package: vile
Architecture: any
Depends: vile-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Provides: editor
Description: VI Like Emacs - vi work-alike
 vile is a text editor which is extremely compatible with vi in terms of
 ``finger feel''.  In addition, it has extended capabilities in many areas,
 notably multi-file editing and viewing, syntax highlighting, key rebinding,
 an optional embedded perl interpreter, and real X window system support.
 .
 This package contains the character-mode binary.  Required support files
 are contained in vile-common.  Source code highlighting filters are in
 vile-filters.  An X11 binary is in the xvile package.

Package: vile-filters
Architecture: any
Depends: vile-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: VI Like Emacs - highlighting filters for vile/xvile
 Text highlighting filters for various languages and file formats for
 the vile and xvile editors.

Package: xvile
Architecture: any
Depends: vile-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Provides: editor
Replaces: vile-common (<< 9.7x-1)
Description: VI Like Emacs - vi work-alike (X11)
 vile is a text editor which is extremely compatible with vi in terms of
 ``finger feel''.  In addition, it has extended capabilities in many areas,
 notably multi-file editing and viewing, syntax highlighting, key rebinding,
 an optional embedded perl interpreter, and real X window system support.
 .
 This package contains the X11 binary.  Required support files are
 contained in vile-common.  Source code highlighting filters are in
 vile-filters.  A character-mode binary is in the vile package.

=== debian/rules ===
--- 
+++ 
@@ -15,17 +15,10 @@
     --with-locale \
     --with-loadable-filters=all \
     --disable-rpath-hack \
-    --with-cflags=-O2
+    $(shell dpkg-buildflags --export=configure)
 
 # install path for upstream make
 TMP = $(CURDIR)/debian/tmp
-
-# add -g if DEB_BUILD_OPTIONS contains the string "debug" (policy 11.1)
-ifeq ($(findstring debug,$(DEB_BUILD_OPTIONS)),)
-    debug =
-else
-    debug = -g
-endif
 
 xshell = x-terminal-emulator -e /usr/share/vile/xshell.sh

=== package/debian/rules ===
#!/usr/bin/make -f

#
# debian/rules for vile/xvile
#

# packages
PACKAGES.indep = vile-common
PACKAGES.arch  = vile vile-filters xvile

configure = \
	../../configure \
	--prefix=/usr \
	--mandir='$${prefix}/share/man' \
	--with-app-defaults=/etc/X11/app-defaults \
	--with-locale \
	--with-loadable-filters=all \
	--disable-rpath-hack \
	--with-cflags=-O2

# install path for upstream make
TMP = $(CURDIR)/debian/tmp

# use debhelper v5
#export DH_COMPAT = 5

# add -g if DEB_BUILD_OPTIONS contains the string "debug" (policy 11.1)
ifeq ($(findstring debug,$(DEB_BUILD_OPTIONS)),)
    debug =
else
    debug = -g
endif

verbose = # -v

xshell = x-terminal-emulator -e $${prefix}/share/vile/xshell.sh

.PHONY: all config build install binary clean config-indep config-arch \
    build-indep build-arch install-indep install-arch binary-indep \
    binary-arch

all: build

config: config-indep config-arch
build: build-indep build-arch
install: install-indep install-arch
binary: binary-indep binary-arch
clean:
	dh_testdir
	dh_testroot
	dh_clean $(verbose)
	rm -rf t

config-indep: $(PACKAGES.indep:%=config-%-stamp)
config-arch: $(PACKAGES.arch:%=config-%-stamp)

build-indep: $(PACKAGES.indep:%=build-%-stamp)
build-arch: $(PACKAGES.arch:%=build-%-stamp)

install-indep: $(PACKAGES.indep:%=install-%-stamp)
install-arch: $(PACKAGES.arch:%=install-%-stamp)

binary-indep: install-indep
ifneq ($(PACKAGES.indep),)
	rm -f $(PACKAGES.indep:%=install-%-stamp)
	dh_testdir
	dh_testroot
	dh_installdocs       $(verbose) $(PACKAGES.indep:%=-p%)
	dh_installman        $(verbose) $(PACKAGES.indep:%=-p%)
	dh_installexamples   $(verbose) $(PACKAGES.indep:%=-p%)
	dh_installchangelogs $(verbose) $(PACKAGES.indep:%=-p%) -k CHANGES
	dh_compress          $(verbose) $(PACKAGES.indep:%=-p%)
	dh_fixperms          $(verbose) $(PACKAGES.indep:%=-p%)
	dh_installdeb        $(verbose) $(PACKAGES.indep:%=-p%)
	dh_gencontrol        $(verbose) $(PACKAGES.indep:%=-p%)
	dh_md5sums           $(verbose) $(PACKAGES.indep:%=-p%)
	dh_builddeb          $(verbose) $(PACKAGES.indep:%=-p%)
endif

binary-arch: install-arch
ifneq ($(PACKAGES.arch),)
	rm -f $(PACKAGES.arch:%=install-%-stamp)
	dh_testdir
	dh_testroot
	dh_link              $(verbose) $(PACKAGES.arch:%=-p%)
	dh_installdocs       $(verbose) $(PACKAGES.arch:%=-p%)
	dh_installmenu       $(verbose) $(PACKAGES.arch:%=-p%)
	dh_strip             $(verbose) $(PACKAGES.arch:%=-p%)
	dh_compress          $(verbose) $(PACKAGES.arch:%=-p%)
	dh_fixperms          $(verbose) $(PACKAGES.arch:%=-p%)
	dh_installdeb        $(verbose) $(PACKAGES.arch:%=-p%)
	dh_shlibdeps         $(verbose) $(PACKAGES.arch:%=-p%)
	dh_gencontrol        $(verbose) $(PACKAGES.arch:%=-p%)
	dh_md5sums           $(verbose) $(PACKAGES.arch:%=-p%)
	dh_builddeb          $(verbose) $(PACKAGES.arch:%=-p%)
endif

config-vile-stamp:
	dh_testdir
	rm -rf t/vile
	mkdir -p t/vile
	cd t/vile; $(configure) --with-perl
	touch $@

%-vile-common-stamp %-vile-filters-stamp: %-vile-stamp
	touch $@

config-xvile-stamp:
	dh_testdir
	rm -rf t/xvile
	mkdir -p t/xvile
	cd t/xvile; $(configure) --with-perl --with-xpm --with-screen=Xaw
	echo "#define DEFAULT_XSHELL \"${xshell}\"" >>t/xvile/config.h
	touch $@

build-vile-stamp: config-vile-stamp
	dh_testdir
	$(MAKE) -C t/vile all vile-perl-api.doc EXTRA_CFLAGS="$(debug)"
	touch $@

build-xvile-stamp: config-xvile-stamp
	dh_testdir
	$(MAKE) -C t/xvile xvile EXTRA_CFLAGS="$(debug)"
	touch $@

install-vile-stamp: build-vile-stamp
	dh_testdir
	dh_testroot
	dh_prep -pvile-filters -pvile-common -pvile

	$(MAKE) -C t/vile DESTDIR=$(TMP) install
	#rm -f $(TMP)/usr/bin/vile-pager  # examples
	rm -f $(TMP)/usr/share/man/man1/vile.1  # docs
	pod2man $(TMP)/usr/bin/vileget > \
	    $(TMP)/usr/share/man/man1/vileget.1

	install -d $(TMP)/usr/share/lintian/overrides
	install -c -m 644 debian/overrides/vile \
	    $(TMP)/usr/share/lintian/overrides

	dh_movefiles $(verbose) -pvile-filters -pvile-common -pvile

	# ensure that all files have been moved from debian/tmp
	test `find $(TMP) ! -type d | wc -l` -eq 0

	touch $@

install-xvile-stamp: build-xvile-stamp
	dh_testdir
	dh_testroot
	dh_prep -pxvile

	install -d $(TMP)/usr/bin $(TMP)/etc/X11/app-defaults \
	    $(TMP)/usr/share/applications $(TMP)/usr/share/pixmaps \
	    $(TMP)/usr/share/vile

	install -c t/xvile/xvile $(TMP)/usr/bin/xvile
	install -c macros/uxvile $(TMP)/usr/bin/uxvile
	install -c macros/lxvile $(TMP)/usr/bin/lxvile
	install -c -m 644 macros/xvile.desktop macros/uxvile.desktop \
	    $(TMP)/usr/share/applications

	install -c -m 644 debian/*.xpm $(TMP)/usr/share/pixmaps

	$(MAKE) -C t/xvile DESTDIR=$(TMP) install-app install-icon
	$(MAKE) -C t/xvile DESTDIR=$(TMP) bindir='$${datadir}' \
	    $(TMP)/usr/share/vile/vilemenu.rc \
	    $(TMP)/usr/share/vile/xshell.sh

	dh_movefiles $(verbose) -pxvile
	touch $@

## vile 9.8t-3

=== debian/changelog ===
vile (9.8t-3) unstable; urgency=medium

  * Use dh_auto_configure as per suggestion of Helmut Grohne to fix
    cross-compilation issues (closes: #932934).
  * Install filters and helper binaries to multi-arch libdir.

 -- Brendan O'Dea <bod@debian.org>  Fri, 26 Jul 2019 20:03:33 +1000

vile (9.8t-2) unstable; urgency=medium

  * Change build dependency from flex-old back to flex (closes: #932560).

 -- Brendan O'Dea <bod@debian.org>  Sun, 21 Jul 2019 17:21:26 +1000

vile (9.8t-1) unstable; urgency=medium

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Tue, 13 Nov 2018 22:35:30 +1100

vile (9.8s-5) unstable; urgency=medium

  * Move repository to salsa.debian.org.
  * Update Vcs-Git/Vcs-Browser.
  * Update to policy 4.1.3 (no changes).

 -- Brendan O'Dea <bod@debian.org>  Tue, 06 Feb 2018 22:08:06 +1100

vile (9.8s-4) unstable; urgency=medium

  * Update Vcs-Browser.

 -- Brendan O'Dea <bod@debian.org>  Sat, 19 Aug 2017 00:34:02 +1000

vile (9.8s-3) unstable; urgency=medium

  * Use dh_update_autotools_config to update config.{guess,sub} thanks to
    a helpful suggestion from Niels Thykier in response to #869541.

 -- Brendan O'Dea <bod@debian.org>  Mon, 24 Jul 2017 20:30:59 +1000

vile (9.8s-2) unstable; urgency=medium

  * Update to policy 4.0.0:
    - update config.guess, config.sub
    - remove menu files (deprecated in favour of freedesktop files)
  * Update debhelper for version 10.
  * Fix dependency on vile-common (closes: #869429).

 -- Brendan O'Dea <bod@debian.org>  Mon, 24 Jul 2017 13:30:19 +1000

vile (9.8s-1) unstable; urgency=medium

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Mon, 19 Dec 2016 01:12:41 +1100

vile (9.8r-3) unstable; urgency=medium

  * Re-build for Perl 5.24.

 -- Brendan O'Dea <bod@debian.org>  Sun, 25 Sep 2016 20:49:17 +1000

vile (9.8r-2) unstable; urgency=medium

  * Revert flex dependency back to flex-old, as configure doesn't
    correctly handle flex 2.6.0 (closes: #832973).

 -- Brendan O'Dea <bod@debian.org>  Sun, 31 Jul 2016 12:40:40 +1000

vile (9.8r-1) unstable; urgency=medium

  * New upstream release.
  * Simplify debian/rules and drop the option for conditionally building
    packages (this was useful when there were multiple X toolkit options,
    not so much today).
  * Pass --disable-stripping to configure such that -dbgsym packages are
    correctly created.
  * Use --link-doc option of dh_installdocs instead of explicitly creating
    the doc links.
  * Rename debian/README.Debian to explicitly put it into the vile-common
    package.

 -- Brendan O'Dea <bod@debian.org>  Thu, 28 Jul 2016 22:03:26 +1000

vile (9.8q-1) unstable; urgency=medium

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Fri, 11 Sep 2015 20:36:58 +1000

vile (9.8p-1) unstable; urgency=medium

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Mon, 02 Feb 2015 19:46:14 +1100

vile (9.8o-1) unstable; urgency=medium

  * New upstream release.
  * Fix VCS control fields.
  * Update to standards version 3.9.5.

 -- Brendan O'Dea <bod@debian.org>  Thu, 02 Oct 2014 21:22:42 +1000

vile (9.8n-1) unstable; urgency=medium

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Mon, 07 Jul 2014 21:46:04 +1000

vile (9.8m-1) unstable; urgency=medium

  * New upstream release.
  * Use INT2PTR and PTR2IV macros rather than an explicit cast in perl.xs
    and ptypemap.

 -- Brendan O'Dea <bod@debian.org>  Mon, 31 Mar 2014 21:56:34 +1100

vile (9.8l-1) unstable; urgency=medium

  * New upstream release.
  * Switch build dependency from flex-old to flex which is now supported.

 -- Brendan O'Dea <bod@debian.org>  Sun, 02 Feb 2014 11:26:22 +1100

vile (9.8k-1) unstable; urgency=low

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Tue, 16 Jul 2013 21:04:49 +1000

vile (9.8j-3) unstable; urgency=low

  * Fix perl inplace editing for files with multi-byte encoding.
  * Another POD documentation fix for Perl 5.18 (closes: #708027).

 -- Brendan O'Dea <bod@debian.org>  Tue, 21 May 2013 19:44:01 +1000

vile (9.8j-2) unstable; urgency=low

  * Fix POD documentation to work with Perl 5.18 (closes: #708027).
  * Locate xsubpp/typemap via @INC.

 -- Brendan O'Dea <bod@debian.org>  Mon, 13 May 2013 19:03:22 +1000

vile (9.8j-1) unstable; urgency=low

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Mon, 15 Apr 2013 22:06:33 +1000

vile (9.8i-2) unstable; urgency=low

  * Use .1 suffix for X11 manpages rather than .1x.
  * Explicitly use 1.0 source format.

 -- Brendan O'Dea <bod@debian.org>  Sun, 14 Apr 2013 09:22:21 +1000

vile (9.8i-1) unstable; urgency=low

  * New upstream release.
  * Install vile-perl-api.doc, and docs for perl modules.
  * Fix some minor errors in pod files.

 -- Brendan O'Dea <bod@debian.org>  Mon, 24 Sep 2012 13:46:26 +1000

vile (9.8h-1) unstable; urgency=low

  * New upstream release.
  * Revise icon/pixmap handling to match upstream changes.

 -- Brendan O'Dea <bod@debian.org>  Fri, 24 Aug 2012 16:16:05 +1000
